Subject: Re: [PATCH 2/2] git-gc: skip stashes when expiring reflogs

From: Miles Bader <[email-masked]>
Date: Fri, 13 Jun 2008 20:14:37 +0900

Jeff King <[email-masked]> writes:
>   2. You don't need perfect foresight. Sometime in the thirty days (but
>      probably about 5 minutes later) you realize "oh, this is some
>      stashed work that I'm not going to deal with for a while" and you
>      promote it to a topic branch.

That's exactly the sort of thing that people end up forgetting to do,
even if they know they know about and understand the issue -- and of
course many (most?) people will be using stashes _without_ knowing about
this issue.  I suspect both types will be pretty annoyed when they
realize their work disappeared...

-Miles

-- 
`To alcohol!  The cause of, and solution to,
 all of life's problems' --Homer J. Simpson